On this page
No Headings
Oauth 2.0 authentication
Client CredentialsToken URLhttps://api-m.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/subscriptionsThe ID of the subscription.
The media type. Required for operations with a request body. The value is application/<format>, where the format is json.
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api-m.paypal.com/v1/billing/v1/billing/subscriptions/string/revise" \ -H "Content-Type: string" \ -H "Content-Type: application/json" \ -d '{}'{
"plan_id": "stringstringstringstringst",
"quantity": "string",
"shipping_amount": {
"currency_code": "str",
"value": "string"
},
"shipping_address": {
"name": {
"full_name": "string"
},
"email_address": "string",
"phone_number": {
"country_code": "str",
"national_number": "string"
},
"type": "SHIPPING",
"options": [],
"address": {
"address_line_1": "string",
"address_line_2": "string",
"admin_area_2": "string",
"admin_area_1": "string",
"postal_code": "string",
"country_code": "st"
}
},
"plan": {
"billing_cycles": [
{
"pricing_scheme": {
"version": 0,
"fixed_price": {
"currency_code": "str",
"value": "string"
},
"pricing_model": "VOLUME",
"tiers": [
{
"starting_quantity": "string",
"ending_quantity": "string",
"amount": {
"currency_code": "str",
"value": "string"
}
}
],
"create_time": "stringstringstringst",
"update_time": "stringstringstringst"
},
"sequence": 1,
"total_cycles": 0
}
],
"payment_preferences": {
"auto_bill_outstanding": true,
"setup_fee": {
"currency_code": "str",
"value": "string"
},
"setup_fee_failure_action": "CONTINUE",
"payment_failure_threshold": 0
},
"taxes": {
"percentage": "string",
"inclusive": true
}
},
"plan_overridden": true,
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"debug_id": "string",
"links": [],
"details": [
{
"issue": "INVALID_PARAMETER_SYNTAX",
"description": "The value of a field does not conform to the expected format."
}
]
}{
"name": "AUTHENTICATION_FAILURE",
"message": "Authentication failed due to missing authorization header, or invalid authentication credentials.",
"debug_id": "string",
"links": [],
"details": [
{
"issue": "INVALID_ACCOUNT_STATUS",
"description": "Account validations failed for the user."
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "string",
"links": [],
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "RESOURCE_NOT_FOUND",
"message": "The specified resource does not exist.",
"debug_id": "string",
"links": [],
"details": [
{
"issue": "INVALID_RESOURCE_ID",
"description": "Requested resource ID was not found."
}
]
}{
"name": "UNPROCESSABLE_ENTITY",
"message": "The requested action could not be performed, semantically incorrect, or failed business validation.",
"debug_id": "string",
"links": [],
"details": [
{
"issue": "USER_ACCOUNT_CLOSED",
"description": "User account locked or closed."
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred.",
"debug_id": "90957fca61718",
"links": [
{
"href": "https://developer.paypal.com/api/orders/v2/#error-INTERNAL_SERVER_ERROR",
"rel": "information_link"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"debug_id": "string",
"links": []
}The unique PayPal-generated ID for the plan.
^P-[A-Z0-9]*$26 <= length <= 26The quantity of the product or service in the subscription.
^([0-9]+|([0-9]+)?[.][0-9]+)$1 <= length <= 32The shipping charges.
The shipping address of the subscriber.
The application context, which customizes the payer experience during the subscription approval process with PayPal.
An inline plan object to customise the subscription. You can override plan level default attributes by providing customised values for the subscription in this object. Any existing overrides will not be carried forward during subscription revise.